Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modules
Class TextLabel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--modules.TextLabel

public class TextLabel
extends java.awt.Panel
implements Module

This small module lets you display text somewhere in the applets area.

Label:

      <PARAM NAME=labelRows    VALUE="rows">

  Defines the how many rows the label will have.

      <PARAM NAME=labelCols    VALUE="cols">

  Defines the how many columns the label will have.

      <PARAM NAME=labelFont    VALUE="font[,size]">

  The font for displaying the label text. If the size is left out a standard size of 14 points is assumed.

      <PARAM NAME=label#number VALUE="text">

The labels are enumerated and displayed in rows and columns.

Version:
  $Id: TextLabel.html,v 1.1.1.1 2005/09/25 22:40:20 rswindell Exp $
Author:
  Matthias L. Jugel, Marcus Meißner
See Also:
  `Module`, Serialized Form

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`TextLabel()`

Method Summary
`void` | `connect(java.lang.String host, int port)` Do nothing upon connect.
`void` | `disconnect()` Do nothing upon disconnecton.
`java.lang.String` | `receive(java.lang.String s)` Do nothing when receiving text.
`void` | `setLoader(java.lang.Object o)` Set the applet as module loader and configure.

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextLabel

    public TextLabel()

Method Detail

### setLoader

    public void setLoader(java.lang.Object o)

  Set the applet as module loader and configure.
  Specified by:
    setLoader in interface Module
  Parameters:
    `o` - the object that is the applet (must be an Applet)
  See Also:
    `module.Module`, `Applet`

### connect

    public void connect(java.lang.String host,
                        int port)

  Do nothing upon connect.
  Specified by:
    connect in interface Module
  Parameters:
    `host` - remote hostaddress - not used
    `port` - remote port - not used

### disconnect

    public void disconnect()

  Do nothing upon disconnecton.
  Specified by:
    disconnect in interface Module

### receive

    public java.lang.String receive(java.lang.String s)

  Do nothing when receiving text. Be removed upon first call.
  Specified by:
    receive in interface Module
  Parameters:
    `s` - The string received.
  See Also:
    `peer.InputPeer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD